Update Venue Feedback
curl --request POST \
--url https://nowadays.ai/api/northstar/events/{eventId}/venues/{venueId}/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"liked": true,
"comment": "<string>"
}
'import requests
url = "https://nowadays.ai/api/northstar/events/{eventId}/venues/{venueId}/feedback"
payload = {
"liked": True,
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({liked: true, comment: '<string>'})
};
fetch('https://nowadays.ai/api/northstar/events/{eventId}/venues/{venueId}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Venues
Update Venue Feedback
Add or update feedback for a venue
POST
/
events
/
{eventId}
/
venues
/
{venueId}
/
feedback
Update Venue Feedback
Add or update your feedback for a specific venue within an event. This includes the ability to like/unlike a venue and add comments.
Path Parameters
string
required
The ID of your event
string
required
The ID of the venue
Request Body
boolean
Set to true to like the venue, false to unlike
string
Your feedback or comments about the venue
Example Request
{
"liked": true,
"comment": "Love the outdoor space and the natural lighting in the main hall."
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Feedback updated successfully
⌘I